=== debian/changelog ===
ros-melodic-laser-scan-sparsifier (0.3.3-2bionic) bionic; urgency=high

  * update to use non deprecated pluginlib macro

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Mon, 15 Feb 2021 05:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.3.2-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sat, 19 Mar 2016 04:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.3.1-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.3.0-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Tue, 10 Nov 2015 05:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.2.1-2bionic) bionic; urgency=high

  * [sys] Catkinizing: laser_scan_sparsifier
  * [sys] renamed skip to step parameter in scan sparsifier
  * Contributors: Ivan Dryanovski, Miguel Sarabia

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Wed, 14 Oct 2015 04:00:00 -0000
